B10-LOADZONE(8)

NAME
b10-loadzone - Load DNS Zone File

SYNOPSIS

b10-loadzone [-d database] [-o origin] {filename}

DESCRIPTION

The b10-loadzone utility loads a RFC 1035 style DNS master zone file and stores it in a BIND 10 ready data source format. Master files are text files that contain DNS Resource Records in text form.

    Note

    Currently only the SQLITE3 data source is supported.

Some control entries (aka directives) are supported. $ORIGIN is followed by a domain name, and sets the the origin that will be used for relative domain names in subsequent records. $INCLUDE is followed by a filename to load. The previous origin is restored after the file is included. $TTL is followed by a time-to-live value which is used by any following records that don't specify a TTL.

When re-loading an existing zone, the prior version is completely removed. While the new version of the zone is being loaded, the old version remains accessible to queries. After the new version is completely loaded, the old version is swapped out and replaced with the new one in a single operation.

ARGUMENTS

-d database
    Defines the filename for the database. The default is /usr/local/var/bind10-devel/zone.sqlite3.

-o origin
    Defines the default origin for the zone file records.

FILES

SEE ALSO

b10-auth(8), bind10(8).

AUTHORS

The b10-loadzone tool was initial written by Evan Hunt of ISC.

COPYRIGHT
Copyright © 2010 Internet Systems Consortium, Inc. ("ISC")